ros-noetic-roslz4 (1.17.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 02 May 2025 00:00:00 -0000

ros-noetic-roslz4 (1.17.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 26 Apr 2025 00:00:00 -0000

ros-noetic-roslz4 (1.17.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 13 Sep 2024 00:00:00 -0000

ros-noetic-roslz4 (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 00:00:00 -0000

ros-noetic-roslz4 (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 00:00:00 -0000

ros-noetic-roslz4 (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 00:00:00 -0000

ros-noetic-roslz4 (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 00:00:00 -0000

ros-noetic-roslz4 (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 00:00:00 -0000

ros-noetic-roslz4 (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-noetic-roslz4 (1.15.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-roslz4 (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Contributors: Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.8-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 23 Jul 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.7-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.6-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.5-1focal) focal; urgency=high

  * use undefined dynamic_lookup on macOS (#1923 <https://github.com/ros/ros_comm/issues/1923>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.4-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 19 Mar 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.3-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 28 Feb 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.2-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 25 Feb 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.1-1focal) focal; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-roslz4 (1.15.0-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 21 Feb 2020 00:00:00 -0000

ros-noetic-roslz4 (1.14.4-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add alternative lz4 name for Windows (#1821 <https://github.com/ros/ros_comm/issues/1821>)
  * check for XXH_malloc NULL return (#1778 <https://github.com/ros/ros_comm/issues/1778>)
  * update install destination for roslz4 (#1620 <https://github.com/ros/ros_comm/issues/1620>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 20 Feb 2020 00:00:00 -0000

ros-noetic-roslz4 (1.14.3-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 06 Aug 2018 00:00:00 -0000

ros-noetic-roslz4 (1.14.2-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-roslz4 (1.14.1-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-roslz4 (1.14.0-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-roslz4 (1.13.6-1focal) focal; urgency=high

  * adding decompress to free(state) before return (#1313 <https://github.com/ros/ros_comm/issues/1313>)
  * allow building on Trusty (#1236 <https://github.com/ros/ros_comm/issues/1236>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 05 Feb 2018 00:00:00 -0000

ros-noetic-roslz4 (1.13.5-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 09 Nov 2017 00:00:00 -0000

ros-noetic-roslz4 (1.13.4-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 02 Nov 2017 00:00:00 -0000

ros-noetic-roslz4 (1.13.3-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 25 Oct 2017 00:00:00 -0000

ros-noetic-roslz4 (1.13.2-1focal) focal; urgency=high

  * replace deprecated lz4 function call (#1136 <https://github.com/ros/ros_comm/issues/1136>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 15 Aug 2017 00:00:00 -0000

ros-noetic-roslz4 (1.13.1-1focal) focal; urgency=high

  * add XXH_NAMESPACE, for namespace emulation in C (#1065 <https://github.com/ros/ros_comm/pull/1065>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-roslz4 (1.13.0-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-roslz4 (1.12.7-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 17 Feb 2017 00:00:00 -0000

ros-noetic-roslz4 (1.12.6-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 26 Oct 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.5-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 30 Sep 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.4-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 19 Sep 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.3-1focal) focal; urgency=high

  * set lz4_FOUND in order to continue using it with catkin_package(DEPENDS) (ros/catkin#813 <https://github.com/ros/catkin/issues/813>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Sat, 17 Sep 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.2-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 03 Jun 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.1-1focal) focal; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 18 Apr 2016 00:00:00 -0000

ros-noetic-roslz4 (1.12.0-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 18 Mar 2016 00:00:00 -0000

ros-noetic-roslz4 (1.11.18-1focal) focal; urgency=high

  * fix compiler warnings

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 17 Mar 2016 00:00:00 -0000

ros-noetic-roslz4 (1.11.17-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 11 Mar 2016 00:00:00 -0000

ros-noetic-roslz4 (1.11.16-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 09 Nov 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.15-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 13 Oct 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.14-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Sat, 19 Sep 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.13-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 28 Apr 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.12-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 27 Apr 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.11-1focal) focal; urgency=high

  * fix import of compiled library with Python 3.x (#563 <https://github.com/ros/ros_comm/pull/563>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 16 Apr 2015 00:00:00 -0000

ros-noetic-roslz4 (1.11.10-1focal) focal; urgency=high

  * disable lz4 Python bindings on Android (#521 <https://github.com/ros/ros_comm/pull/521>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 22 Dec 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.9-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 18 Aug 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.8-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 04 Aug 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.7-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 18 Jul 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.6-1focal) focal; urgency=high

  * fix finding specific version of PythonLibs with CMake 3

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 10 Jul 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.5-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.4-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 16 Jun 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.3-1focal) focal; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 21 May 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.2-1focal) focal; urgency=high

  * fix symbol problem on OSX (#405 <https://github.com/ros/ros_comm/issues/405>)
  * fix return value in the Python module (#406 <https://github.com/ros/ros_comm/issues/406>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 08 May 2014 00:00:00 -0000

ros-noetic-roslz4 (1.11.1-1focal) focal; urgency=high

  * initial release

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 07 May 2014 00:00:00 -0000


